import request from '@/utils/request'

// 查询工信邮电-行政处罚列表
export function listPenalty(query) {
    return request({
        url: '/crmMiitPostPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询工信邮电-行政处罚详细
export function getPenalty(id) {
    return request({
        url: '/crmMiitPostPenalty/' + id,
        method: 'get'
    })
}

// 新增工信邮电-行政处罚
export function addPenalty(data) {
    return request({
        url: '/crmMiitPostPenalty',
        method: 'post',
        data: data
    })
}

// 修改工信邮电-行政处罚
export function updatePenalty(data) {
    return request({
        url: '/crmMiitPostPenalty',
        method: 'put',
        data: data
    })
}

// 删除工信邮电-行政处罚
export function delPenalty(id) {
    return request({
        url: '/crmMiitPostPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmMiitPostPenalty/delete',ids)
}